MPD: SongFilter::Item Class Reference

MPD 0.20.15

Public Member Functions | Data Fields
SongFilter::Item Class Reference

`#include <SongFilter.hxx>`

## Public Member Functions
| gcc_nonnull (3) Item(unsigned tag
| Item (unsigned tag, time_t time)
| Item (const Item &other)=delete
| Item (Item &&)=default
Item & | operator= (const Item &other)=delete
unsigned | GetTag () const
bool | GetFoldCase () const
const char * | GetValue () const
gcc_pure | gcc_nonnull (2) bool StringMatch(const char *s) const noexcept
gcc_pure bool | Match (const TagItem &tag_item) const noexcept
gcc_pure bool | Match (const Tag &tag) const noexcept
gcc_pure bool | Match (const DetachedSong &song) const noexcept
gcc_pure bool | Match (const LightSong &song) const noexcept

## Data Fields
const char * | value
const char bool | fold_case =false)

## Detailed Description

Definition at line 49 of file SongFilter.hxx.

## Constructor & Destructor Documentation

## ◆ Item() [1/3]

SongFilter::Item::Item | ( | unsigned | tag,
|  | time_t | time
| ) |  |

## ◆ Item() [2/3]

SongFilter::Item::Item | ( | const Item & | other | ) |
| delete

## ◆ Item() [3/3]

SongFilter::Item::Item | ( | Item && |  | ) |
| default

## Member Function Documentation

## ◆ gcc_nonnull() [1/2]

SongFilter::Item::gcc_nonnull | ( | 3 |  | ) |

## ◆ gcc_nonnull() [2/2]

gcc_pure SongFilter::Item::gcc_nonnull | ( | 2 |  | ) | const
| noexcept

## ◆ GetFoldCase()

bool SongFilter::Item::GetFoldCase | ( |  | ) | const
| inline

Definition at line 78 of file SongFilter.hxx.

## ◆ GetTag()

unsigned SongFilter::Item::GetTag | ( |  | ) | const
| inline

Definition at line 74 of file SongFilter.hxx.

## ◆ GetValue()

const char* SongFilter::Item::GetValue | ( |  | ) | const
| inline

Definition at line 82 of file SongFilter.hxx.

## ◆ Match() [1/4]

gcc_pure bool SongFilter::Item::Match | ( | const TagItem & | tag_item | ) | const
| noexcept

## ◆ Match() [2/4]

gcc_pure bool SongFilter::Item::Match | ( | const Tag & | tag | ) | const
| noexcept

## ◆ Match() [3/4]

gcc_pure bool SongFilter::Item::Match | ( | const DetachedSong & | song | ) | const
| noexcept

## ◆ Match() [4/4]

gcc_pure bool SongFilter::Item::Match | ( | const LightSong & | song | ) | const
| noexcept

## ◆ operator=()

Item& SongFilter::Item::operator= | ( | const Item & | other | ) |
| delete

## Field Documentation

## ◆ fold_case

const char bool SongFilter::Item::fold_case =false)

Definition at line 66 of file SongFilter.hxx.

## ◆ value

const char* SongFilter::Item::value

Definition at line 66 of file SongFilter.hxx.

The documentation for this class was generated from the following file:

- SongFilter.hxx